Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.netvibes.provider
Class NetvibesQuery

    java.lang.Object
      org.jboss.portal.widget.netvibes.provider.NetvibesQuery

All Implemented Interfaces:
  WidgetQuery

    public class NetvibesQuery

extends java.lang.Object
implements WidgetQuery

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`NetvibesQuery(int start, int num, java.lang.String cat, java.lang.String sort, java.lang.String q)`

Method Summary
`java.net.URL` | `buildQueryURL()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCat()`
`int` | `getNum()`
`java.lang.String` | `getQ()`
`int` | `getStart()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetvibesQuery

    public NetvibesQuery(int start,
                         int num,
                         java.lang.String cat,
                         java.lang.String sort,
                         java.lang.String q)

Method Detail

### getStart

    public int getStart()

### getNum

    public int getNum()

### getCat

    public java.lang.String getCat()

### getQ

    public java.lang.String getQ()

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `WidgetQuery`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### buildQueryURL

    public java.net.URL buildQueryURL()
                               throws java.net.MalformedURLException

  Specified by:
    `buildQueryURL` in interface `WidgetQuery`
  Throws:
    `java.net.MalformedURLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD